public class Person {

    /** Schluessel, der die Person eindeutig kennzeichnet
     */
    protected int key;

    protected String vorname, nachname;

    /** Gibt an, ob die Person maennlich oder weiblich ist
     */
    protected boolean male;

    /** Gibt an, ob die Person einen Hochschulabschluss besitzt
     */
    protected boolean hochschule;

   

    public Person () {
        
        key = SimpleIO.getInt("Key der Person");
        vorname = SimpleIO.getString("Vorname der Person");
        nachname = SimpleIO.getString("Nachname der Person");
        male = SimpleIO.getBoolean("Ist die Person mnnlich?","ja","nein");
        hochschule = SimpleIO.getBoolean("Besitzt die Person einen Hochschulabschluss?","ja","nein");
    
    }
    
    public Person (int key) {   
        this.key = key;
    }
    
    public Person (String vorname, String nachname) {   
        this (0, vorname, nachname, true, false);
    }
    
    
    public Person (int key, String vorname, String nachname,
           boolean male, boolean hochschule) {  
        
        this(key);
        this.vorname = vorname;
        this.nachname = nachname;
        this.male = male;
        this.hochschule = hochschule;
    }
    
    public String toString () {
        
        String anrede;
        
        if   (male) anrede = "Herr ";
        else        anrede = "Frau ";
        
        return anrede + vorname + " " + nachname;
    
    }
    
    public void mahnung (int gebuehr) {
        
        SimpleIO.output("Mitteilung an " + this +": \n" +
                        "Ihre Mahngebhr betrgt " + gebuehr + " Euro.","Mahnung");
    
    }
    
    
    
    public int mahnung (int gebuehr, int gebuehr2) {
        return gebuehr + gebuehr2;
    }


    public static void sendeMahnungen (Person [] ausleiher, int gebuehr) {
        
        for (Person p : ausleiher) {
            p.mahnung (gebuehr);
        }
     
    }
     
        
    public static void main (String [] args) {
        
        Person x = new Person ();
        
        SimpleIO.output("Eingelesen wurde " + x,"Test");
        
        Person y = new Person ("Hans", "Meier");
        
        SimpleIO.output("Eingelesen wurde " + y + " mit Schluessel " + y.key,"Test");
    
    }
    
    
}


    
